#include <iostream>
#include <string>

#define DBG

#ifdef DBG
#define PRT(var) cout << #var << " = " << var << endl;
#else
#define PRT(var)
#endif
using namespace std;

struct num{
	int x;
	int por;
};

const int MAX = 100002;

num pole[MAX];
int n;

int min_at (int start){
	int min=start;
	for (int i = start;i<n;i++){
		if ( 
			 ( pole[i].x<pole[min].x ) ||
			 ( pole[i].x==pole[min].x && pole[i].por<pole[min].por )
		   ) min=i;
	}
	return min;
}

void reverse (int start, int end) {
	while (start < end) {
		num tmp;
		
		tmp=pole[start];
		pole[start]=pole[end];
		pole[end]=tmp;
		
		start++;
		end--;
	}

}

int main () {


	while (cin) {
		static int c;
		
		cin >> n;
		if (n==0) break;

		for (int j=0;j<n;j++){ //nacitani cisel do pole.
			cin >> c;
			pole[j].x=c; //c je cislo
			pole[j].por=j;
		}

		for (int j=0;j<n;j++){
			int min = min_at(j);
			reverse (j,min);
			cout << min+1 << " " ;
		}
		
		cout << endl;
	}
	
	return 0;
}
